{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

<a href="#" class="dropdown-toggle" data-toggle="dropdown">
    {% set support_label_class = new_msg_count > 0 ? 'label-warning' : 'label-default' %}
    <i class="fa fa-envelope-o"></i>
    <span class="visible-xs-inline">&nbsp;Messages</span>
    <span class="label {{ support_label_class }}">{{ new_msg_count }}</span>
</a>
<ul class="dropdown-menu">
    {% set support_header_msg =
    new_msg_count == 0 ? 'Aucun nouveau message'
    : new_msg_count == 1 ? 'Vous avez <b>1</b> nouveau message'
    : 'Vous avez <b>' ~ new_msg_count ~ '</b> nouveaux messages'
    %}
    <li class="header">{{ support_header_msg | raw }}</li>
    {% for message in posts %}
        <li>
            <ul class="menu">
                <li>
                    <a href="{{ path('support.thread', { id: message.thread.id , _fragment: message.id }) }}">
                        <h4 class="no-margin">
                            <i class="fa fa-envelope text-yellow"></i>
                            {{ message.user is null ? 'Utilisateur supprimé' : message.user.fullName }}
                            <small>
                                <i class="fa fa-clock-o"></i>
                                {{ (message.createdAt | moment).fromNow().relative|replace({'il y a ': ''}) }}
                            </small>
                        </h4>
                        <p class="no-margin">{{ message.content | truncate(24, true, '...') }}</p>
                    </a>
                </li>
            </ul>
        </li>
    {% endfor %}
    <li class="footer">
        <a href="{{ path('support.index') }}">Voir toutes les discussions</a>
    </li>
</ul>